For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
    • POSTGets USDC/SBC/EuroE on testnets
      • POSTAdd Interac Account
      • POSTCreate Bank Account
      • POSTCreate Bank Account (v2)
      • POSTCreate Debit Card
      • POSTCreate Iban Account
      • POSTCreate Pix Account
      • POSTCreate Transactions
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Bank Account
      • DELDelete Withdrawer Card
      • DELDelete Withdrawer EFT Account
      • DELDelete Withdrawer Iban Account
      • DELDelete Withdrawer Pix Account
      • GETGet Balances
      • POSTGet Message (EVM USDC/SBC/EuroE only)
      • GETGet Quote
      • GETGet Quote Exact Out
      • GETGet Withdrawer
      • GETGet Withdrawer History
      • POSTLink Paypal Account
      • POSTLink Venmo Account
      • POSTRegister Business
      • POSTRegister User
      • POSTRegister User Via Attested KYC
      • POSTRegister User Via Document
      • POSTRegister User Via Share Token
      • POSTSend Gasless Withdraw Transaction (EVM USDC/SBC/EuroE only)
      • POSTValidate KYC Information
LogoLogo
RegisterLoginSandbox Login
API ReferenceWithdraw

Register User Via Attested KYC

POST
https://api-sandbox.coinflow.cash/api/withdraw/kyc/attested
POST
/api/withdraw/kyc/attested
$curl -X POST https://api-sandbox.coinflow.cash/api/withdraw/kyc/attested \
> -H "x-coinflow-auth-user-id: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "country": "string",
> "email": "string",
> "firstName": "string",
> "surName": "string",
> "physicalAddress": "string",
> "city": "string",
> "state": "string",
> "zip": "string",
> "dob": "string"
>}'
200Successful
1{
2 "withdrawer": {
3 "_id": "string",
4 "wallet": "string",
5 "blockchain": "solana",
6 "wallets": [
7 {
8 "wallet": "string",
9 "blockchain": "solana"
10 }
11 ],
12 "email": "string",
13 "availability": {
14 "status": "Functional",
15 "reason": "string",
16 "editor": "string",
17 "updatedAt": "2024-01-15T09:30:00Z"
18 },
19 "currency": "USD",
20 "merchant": "string",
21 "verification": {
22 "reference": "string",
23 "status": "pending",
24 "vendor": "middesk",
25 "name": "string",
26 "attested": true,
27 "shareToken": "string",
28 "shareTokenStatus": "string",
29 "sessionToken": "string"
30 },
31 "riskScoreOverride": true,
32 "country": "string",
33 "user": true,
34 "watchlistExempt": "Unknown",
35 "originalCurrency": "USD",
36 "geoBlockOverride": {
37 "reason": "string",
38 "setBy": "string",
39 "setAt": "2024-01-15T09:30:00Z",
40 "expiresAt": "2024-01-15T09:30:00Z"
41 },
42 "dwolla": {
43 "customerId": "string",
44 "status": "pending",
45 "acceptedTerms": "2024-01-15T09:30:00Z",
46 "verification": {
47 "reference": "string",
48 "status": "pending",
49 "vendor": "middesk",
50 "name": "string",
51 "attested": true,
52 "shareToken": "string",
53 "shareTokenStatus": "string",
54 "sessionToken": "string"
55 }
56 },
57 "watchlistId": "string"
58 }
59}
Was this page helpful?
Previous

Register User Via Document

Next
Built with

Authentication

x-coinflow-auth-user-idstring
The external identifier of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
Authorizationstring
The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
OR
Authorizationstring
The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-walletstring
The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-blockchainstring
The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Request

This endpoint expects an object.
countrystringRequiredformat: "^[A-Z]{2}$"

ISO 3166-1 alpha-2 country codes

emailstringRequiredformat: "(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))"
firstNamestringRequired>=1 character
surNamestringRequired>=1 character
physicalAddressstringRequired>=1 character
citystringRequired>=1 character
statestringRequired>=2 characters
zipstringRequired
dobstringRequiredformat: "^\d{4}[-/]?(\d{2}[-/]?){2}$"
Date of birth in YYYYMMDD format
ssnstringOptionalformat: "^\d{4}$"
4 Digit SSN

Response

Ok
withdrawerobject

The external identifier of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The API key of the merchant - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key